import { Subject } from 'rxjs';
import { Environment } from './environment';
import mongoose = require('mongoose');
import { ConsoleLogger } from '..';
export declare class DbDriver {
    protected env: Environment;
    protected logg: ConsoleLogger;
    connected: Subject<void>;
    constructor(env: Environment, logg: ConsoleLogger);
    connect(): Promise<typeof mongoose>;
    disconnect(): Promise<void>;
    get db(): mongoose.Connection;
}
