import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { AmazonServiceNames } from '../to-be-removed/types';
import { ConsoleLogger } from '../logging/console-logger';
interface IMwsCredentials {
    accessKey: string;
    secretKey: string;
    sellerId: string;
    token: string;
}
export declare class FinancialEventsClient extends EveClient {
    protected env: Environment;
    private logger;
    constructor(env: Environment, logger: ConsoleLogger);
    downloadFinancialEvents(companyId: ObjectId, marketplace: AmazonServiceNames, credentials: IMwsCredentials, fromDate: Date): Promise<void>;
}
export {};
