import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
export interface ApiPickupListInput {
    companyId: ObjectId;
    carrier: string;
    pickupListPdf: string;
    pickupListGroupPdf?: string;
    carrierPickupListGroupId?: number;
    pickupTime?: Date;
    orderIds: ObjectId[];
}
export declare class PickupListClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    updateList(carrierPickupListId: number, list: ApiPickupListInput): Promise<{
        carrierPickupListId: number;
    }>;
}
