import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { ObjectId } from 'bson';
import { MarketplaceServiceNames } from '../to-be-removed/types';
export interface ApiShallowPricingReport {
    found: number;
    notFound: number;
    isAlone: number;
    isCheaper: number;
    isPricier: number;
    isPricierWithinThreshold: number;
    freeShipping: number;
}
export declare const ApiShallowPricingReportJoi: import("joi").ObjectSchema;
export declare class PricingReportClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    sendShallowPricingReport(companyId: ObjectId, marketplace: MarketplaceServiceNames, pricingReport: ApiShallowPricingReport): Promise<any>;
}
