import { Environment } from '../bootstrapping/environment';
import got = require('got');
import { GotInstance, GotJSONFn } from 'got';
/**
 * Documentation: https://github.com/sendinblue/APIv3-nodejs-library#documentation-for-api-endpoints
 */
export declare class SendinblueClient {
    private env;
    protected baseUrl: string;
    constructor(env: Environment);
    get got(): GotInstance<GotJSONFn>;
    sendTemplate(options: {
        templateId: number;
        attributes?: object;
        email: string;
        cc?: string[];
        bcc?: string[];
    }): Promise<got.Response<any>>;
}
