/// <reference types="node" />
import * as fs from 'fs';
export interface TempFileOptions {
    extention?: string;
    prefix?: string;
}
export declare class TempFile {
    options?: TempFileOptions;
    tempDir: string;
    file: string;
    constructor(options?: TempFileOptions);
    createWriteStream(): fs.WriteStream;
    createReadStream(): fs.ReadStream;
    dispose(): Promise<void>;
}
