import { Dict } from '../types';
export declare function toGroupedMaps<T, U, V>(objects: T[], getItems: (a: T) => U[], getGroup: (a: T, b: U) => string, getKey: (a: U) => string, getValue: (a: T, b: U) => V): Dict<Dict<V, string>, string>;
export declare function handleGroupedMaps<T, U>(groupedMap: Dict<Dict<T, string>, string>, fetch: (group: string, keys: string[]) => Promise<U[]>, handle: (group: string, item: U) => void): Promise<void>;
